#ifndef BLITZ_GNUPLOT_HPP
#  define BLITZ_GNUPLOT_HPP

#  include <boost/units/systems/si.hpp>
using namespace boost::units;
#  include <blitz/array.h>
using namespace blitz;

/// gnuplot-digestible output for Blitz
template<class unit, class real_t>
ostream& operator<<(ostream& os, const Array<quantity<unit, real_t>, 1>& x)
{
  for (int i=x.lbound(0); i<=x.ubound(0); ++i) os << real_t(x(i)) << endl;
  return os; 
}
#endif
